package com.example.wholeestate.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.wholeestate.common.resp.ResponseBean;
import com.example.wholeestate.model.Customer;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author weiximei
 * @since 2019-03-20
 */
public interface ICustomerService extends IService<Customer> {

    /**
     * 会员列表
     * @param parameter
     * @return
     */
    ResponseBean customerList(String parameter);

    /**
     * 会员详情
     * @param id
     * @return
     */
    ResponseBean customerSelectId(Integer id);

    /**
     * 注册微信小程序用户
     * @param parameter
     * @return
     */
    ResponseBean registeredCustomer(String parameter);

    /**
     * 根据 openId 获取, 用户信息
     * @param openid
     * @return
     */
    ResponseBean getWXCustomer(String openid);

}
